Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509.qualified
Class SemanticsInformation

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.qualified.SemanticsInformation

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class SemanticsInformation
extends ASN1Object

The SemanticsInformation object. SemanticsInformation ::= SEQUENCE { semanticsIdentifier OBJECT IDENTIFIER OPTIONAL, nameRegistrationAuthorities NameRegistrationAuthorities OPTIONAL } (WITH COMPONENTS {[], semanticsIdentifier PRESENT}| WITH COMPONENTS {[], nameRegistrationAuthorities PRESENT}) NameRegistrationAuthorities ::= SEQUENCE SIZE (1..MAX) OF GeneralName

Constructor Summary
`SemanticsInformation(ASN1ObjectIdentifier semanticsIdentifier)`
`SemanticsInformation(ASN1ObjectIdentifier semanticsIdentifier, GeneralName[] generalNames)`
`SemanticsInformation(GeneralName[] generalNames)`

Method Summary
`static SemanticsInformation` | `getInstance(java.lang.Object obj)`
`GeneralName[]` | `getNameRegistrationAuthorities()`
`ASN1ObjectIdentifier` | `getSemanticsIdentifier()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SemanticsInformation

    public SemanticsInformation(ASN1ObjectIdentifier semanticsIdentifier,
                                GeneralName[] generalNames)

### SemanticsInformation

    public SemanticsInformation(ASN1ObjectIdentifier semanticsIdentifier)

### SemanticsInformation

    public SemanticsInformation(GeneralName[] generalNames)

Method Detail

### getInstance

    public static SemanticsInformation getInstance(java.lang.Object obj)

### getSemanticsIdentifier

    public ASN1ObjectIdentifier getSemanticsIdentifier()

### getNameRegistrationAuthorities

    public GeneralName[] getNameRegistrationAuthorities()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD